summaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
authorChristopher Baines <mail@cbaines.net>2014-04-13 17:06:44 +0100
committerChristopher Baines <mail@cbaines.net>2014-04-17 14:15:27 +0100
commit30f791628692be54a7222ce46f0a2d0b163fa378 (patch)
tree883fe19d5fca9c752947ecc4b2652a50c8a39913 /debian/postinst
parente5acdb08d6a5d251ada74374a0bbfdda115b4c20 (diff)
downloadopenstreetmap-carto-f78881ef1926b9a5b0147906e2b888c884f1d54e.tar
openstreetmap-carto-f78881ef1926b9a5b0147906e2b888c884f1d54e.tar.gz
Imported Debian patch 2.13.0-1HEADdebian/2.13.0-1master
Diffstat (limited to 'debian/postinst')
-rwxr-xr-xdebian/postinst18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100755
index 0000000..5487b49
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+db_get openstreetmap-carto/fetch-data
+if [ "$RET" = "true" ]; then
+ cd /usr/share/openstreetmap-carto/ && ./get-shapefiles.sh
+fi
+
+db_get openstreetmap-carto/database-name
+if [ "$RET" != "gis" ]; then
+ sed -i -e"s/\[gis\]/\[$RET\]/" /usr/share/openstreetmap-carto/style.xml
+fi
+
+#DEBHELPER#